Create notificationAsk AIpost https://{sandfly-api-host}/v4/notificationsCreate a new event notification configuration.Body Paramsconfighttp_postrequiredNotificationPostConfig objecttemplatestringrequiredThe Go text/template template to format the notification content.namestringrequiredName of notification configuration.eventstringenumrequiredEvent type for which this notification will fire.host_alert_rollupindividual_alertnotification_delivery_errorAllowed:host_alert_rollupindividual_alertnotification_delivery_errordeliverystringenumrequiredMethod used to deliver event notification.http_postAllowed:http_posthosts_tags_includearray of strings | nullrequiredIf present, only events that apply to the hosts that have the tag(s) will be sent by this notification.hosts_tags_include*ADD stringhosts_tags_include_operatorstringenumDefaults to andIf there are more than one hosts_tags_include tags, this operator controls the matching logic.andorAllowed:andorhosts_tags_excludearray of strings | nullrequiredIf present, events will NOT be sent for any hosts that have these tag(s). Exclude tags have priority over include tags.hosts_tags_exclude*ADD stringhosts_tags_exclude_operatorstringenumDefaults to andIf there are more than one hosts_tags_exclude tags, this operator controls the matching logic.andorAllowed:andorpausedbooleanDefaults to trueHolds the active status of the notification.truefalseResponses 201Notification created. 400Invalid request body. 402Cannot create new notification because the number of allowed notifications by the license has been reached. 403User is not permitted to perform this action. defaultUnexpected errorUpdated 3 months ago